import java.io.IOException;
import br.com.millennium.api.HTTPClient;

class MillenniumSDKSamples {

	private static HTTPClient client;
	
	public static void main(String[] args) {
		try {
			client = new HTTPClient("millennium.iwise.com.br","odata","0d@t@123"); 								
			
			System.out.println("Chamando API de listagem de filiais");
			
			FILIAIS_LISTA_SIMPLES_RESULTS res = client.Get("millenium_eco/filiais/lista_simples", null, FILIAIS_LISTA_SIMPLES_RESULTS.class);
						
			//print result
			System.out.println("Lidas "+res.getValue().size()+" filial(is):");
			for (FILIAIS_LISTA_SIMPLES_RESULTS.FILIAIS_LISTA_SIMPLES filial : res.getValue()){
				System.out.println(filial.getCod_Filial()+' '+filial.getNome());
			}
			
			System.out.println("Chamando API de alteração/inclusão de clientes");
			CLIENTES_INSEREOUATUALIZA cli = new CLIENTES_INSEREOUATUALIZA();
			cli.setNome("CLIENTE DE TESTES");
			cli.setCpf("999.999.999-99");
			
			CLIENTES_INSEREOUATUALIZA.ENDERECO end = cli.new ENDERECO();
			end.setBairro("BARRA FUNDA");
			end.setCidade("SÃO PAULO");
			end.setLogradouro("RUA DE TESTES");
			end.setEstado("SP");
							
			cli.setEndereco(end);
			
			CLIENTES_INSEREOUATUALIZA.RESPONSE res2 = client.Post("millenium_eco/clientes/IncluirOuAlterar", cli, CLIENTES_INSEREOUATUALIZA.RESPONSE.class);
			
			System.out.println("Resultado:cliente="+res2.getCliente()+",cod_endereco="+res2.getCod_Endereco());
			
		} catch (IOException e) {
			e.printStackTrace();
		}		
	}

}
